# NAME

git-annex testremote - test transfers to/from a remote

# SYNOPSIS

git annex testremote `remote`

# DESCRIPTION

This tests a remote by generating some random objects and sending them to
the remote, then redownloading them, removing them from the remote, etc.

It's safe to run in an existing repository (the repository contents are
not altered), although it may perform expensive data transfers.

Testing a single remote will use the remote's configuration,
automatically varying the chunk sizes, and with simple shared encryption
enabled and disabled.

# OPTIONS

* `--fast`

  Perform a smaller set of tests.

* `--size=NUnits`

  Tune the base size of the generated objects. The default is 1MiB.

# SEE ALSO

[[git-annex]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
